HUC6280FN_("ADC #$nn"             ,ADC_IMM        )
HUC6280FN_("ADC $nnnn"            ,ADC_MEM        )
HUC6280FN_("ADC <$nn"             ,ADC_MEM        )
HUC6280FN_("ADC <$nn,x"           ,ADC_MEM        )
HUC6280FN_("ADC [$nn]"            ,ADC_MEM        )
HUC6280FN_("ADC $nnnn,x"          ,ADC_MEM        )
HUC6280FN_("ADC $nnnn,y"          ,ADC_MEM        )
HUC6280FN_("ADC [$nn,x]"          ,ADC_MEM        )
HUC6280FN_("ADC [$nn],y"          ,ADC_MEM        )
HUC6280FN_("AND #$nn"             ,AND_IMM        )
HUC6280FN_("AND $nnnn"            ,AND_MEM        )
HUC6280FN_("AND <$nn"             ,AND_MEM        )
HUC6280FN_("AND <$nn,x"           ,AND_MEM        )
HUC6280FN_("AND [$nn]"            ,AND_MEM        )
HUC6280FN_("AND $nnnn,x"          ,AND_MEM        )
HUC6280FN_("AND $nnnn,y"          ,AND_MEM        )
HUC6280FN_("AND [$nn,x]"          ,AND_MEM        )
HUC6280FN_("AND [$nn],y"          ,AND_MEM        )
HUC6280FN_("ASL a"                ,ASL_ACC        )
HUC6280FN_("ASL $nnnn"            ,ASL_MEM        )
HUC6280FN_("ASL <$nn"             ,ASL_MEM        )
HUC6280FN_("ASL <$nn,x"           ,ASL_MEM        )
HUC6280FN_("ASL $nnnn,x"          ,ASL_MEM        )
HUC6280FN_("BBR0 <$nn,*"          ,BBR0_MEM_MEM   )
HUC6280FN_("BBR1 <$nn,*"          ,BBR1_MEM_MEM   )
HUC6280FN_("BBR2 <$nn,*"          ,BBR2_MEM_MEM   )
HUC6280FN_("BBR3 <$nn,*"          ,BBR3_MEM_MEM   )
HUC6280FN_("BBR4 <$nn,*"          ,BBR4_MEM_MEM   )
HUC6280FN_("BBR5 <$nn,*"          ,BBR5_MEM_MEM   )
HUC6280FN_("BBR6 <$nn,*"          ,BBR6_MEM_MEM   )
HUC6280FN_("BBR7 <$nn,*"          ,BBR7_MEM_MEM   )
HUC6280FN_("BBS0 <$nn,*"          ,BBS0_MEM_MEM   )
HUC6280FN_("BBS1 <$nn,*"          ,BBS1_MEM_MEM   )
HUC6280FN_("BBS2 <$nn,*"          ,BBS2_MEM_MEM   )
HUC6280FN_("BBS3 <$nn,*"          ,BBS3_MEM_MEM   )
HUC6280FN_("BBS4 <$nn,*"          ,BBS4_MEM_MEM   )
HUC6280FN_("BBS5 <$nn,*"          ,BBS5_MEM_MEM   )
HUC6280FN_("BBS6 <$nn,*"          ,BBS6_MEM_MEM   )
HUC6280FN_("BBS7 <$nn,*"          ,BBS7_MEM_MEM   )
HUC6280FN_("BCC *"                ,BCC_MEM        )
HUC6280FN_("BCS *"                ,BCS_MEM        )
HUC6280FN_("BEQ *"                ,BEQ_MEM        )
HUC6280FN_("BIT #$nn"             ,BIT_IMM        )
HUC6280FN_("BIT $nnnn"            ,BIT_MEM        )
HUC6280FN_("BIT <$nn"             ,BIT_MEM        )
HUC6280FN_("BIT <$nn,x"           ,BIT_MEM        )
HUC6280FN_("BIT $nnnn,x"          ,BIT_MEM        )
HUC6280FN_("BMI *"                ,BMI_MEM        )
HUC6280FN_("BNE *"                ,BNE_MEM        )
HUC6280FN_("BPL *"                ,BPL_MEM        )
HUC6280FN_("BRA *"                ,BRA_MEM        )
HUC6280FN_("BRK"                  ,BRK_IMP        )
HUC6280FN_("BSR *"                ,BSR_MEM        )
HUC6280FN_("BVC *"                ,BVC_MEM        )
HUC6280FN_("BVS *"                ,BVS_MEM        )
HUC6280FN_("CLA"                  ,CLA_IMP        )
HUC6280FN_("CLC"                  ,CLC_IMP        )
HUC6280FN_("CLD"                  ,CLD_IMP        )
HUC6280FN_("CLI"                  ,CLI_IMP        )
HUC6280FN_("CLV"                  ,CLV_IMP        )
HUC6280FN_("CLX"                  ,CLX_IMP        )
HUC6280FN_("CLY"                  ,CLY_IMP        )
HUC6280FN_("CMP #$nn"             ,CMP_IMM        )
HUC6280FN_("CMP $nnnn"            ,CMP_MEM        )
HUC6280FN_("CMP <$nn"             ,CMP_MEM        )
HUC6280FN_("CMP <$nn,x"           ,CMP_MEM        )
HUC6280FN_("CMP [$nn]"            ,CMP_MEM        )
HUC6280FN_("CMP $nnnn,x"          ,CMP_MEM        )
HUC6280FN_("CMP $nnnn,y"          ,CMP_MEM        )
HUC6280FN_("CMP [$nn,x]"          ,CMP_MEM        )
HUC6280FN_("CMP [$nn],y"          ,CMP_MEM        )
HUC6280FN_("CPX #$nn"             ,CPX_IMM        )
HUC6280FN_("CPX $nnnn"            ,CPX_MEM        )
HUC6280FN_("CPX <$nn"             ,CPX_MEM        )
HUC6280FN_("CPY #$nn"             ,CPY_IMM        )
HUC6280FN_("CPY $nnnn"            ,CPY_MEM        )
HUC6280FN_("CPY <$nn"             ,CPY_MEM        )
HUC6280FN_("CSH"                  ,CSH_IMP        )
HUC6280FN_("CSL"                  ,CSL_IMP        )
HUC6280FN_("DEC a"                ,DEC_ACC        )
HUC6280FN_("DEC $nnnn"            ,DEC_MEM        )
HUC6280FN_("DEC <$nn"             ,DEC_MEM        )
HUC6280FN_("DEC <$nn,x"           ,DEC_MEM        )
HUC6280FN_("DEC $nnnn,x"          ,DEC_MEM        )
HUC6280FN_("DEX"                  ,DEX_IMP        )
HUC6280FN_("DEY"                  ,DEY_IMP        )
HUC6280FN_("EOR #$nn"             ,EOR_IMM        )
HUC6280FN_("EOR $nnnn"            ,EOR_MEM        )
HUC6280FN_("EOR <$nn"             ,EOR_MEM        )
HUC6280FN_("EOR <$nn,x"           ,EOR_MEM        )
HUC6280FN_("EOR [$nn]"            ,EOR_MEM        )
HUC6280FN_("EOR $nnnn,x"          ,EOR_MEM        )
HUC6280FN_("EOR $nnnn,y"          ,EOR_MEM        )
HUC6280FN_("EOR [$nn,x]"          ,EOR_MEM        )
HUC6280FN_("EOR [$nn],y"          ,EOR_MEM        )
HUC6280FN_("INC a"                ,INC_ACC        )
HUC6280FN_("INC $nnnn"            ,INC_MEM        )
HUC6280FN_("INC <$nn"             ,INC_MEM        )
HUC6280FN_("INC <$nn,x"           ,INC_MEM        )
HUC6280FN_("INC $nnnn,x"          ,INC_MEM        )
HUC6280FN_("INX"                  ,INX_IMP        )
HUC6280FN_("INY"                  ,INY_IMP        )
HUC6280FN_("JMP $nnnn"            ,BRA_MEM        )
HUC6280FN_("JMP [$nnnn]"          ,BRA_MEM        )
HUC6280FN_("JMP [$nnnn,x]"        ,BRA_MEM        )
HUC6280FN_("JSR $nnnn"            ,BSR_MEM        )
HUC6280FN_("LDA #$nn"             ,LDA_IMM        )
HUC6280FN_("LDA $nnnn"            ,LDA_MEM        )
HUC6280FN_("LDA <$nn"             ,LDA_MEM        )
HUC6280FN_("LDA <$nn,x"           ,LDA_MEM        )
HUC6280FN_("LDA [$nn]"            ,LDA_MEM        )
HUC6280FN_("LDA $nnnn,x"          ,LDA_MEM        )
HUC6280FN_("LDA $nnnn,y"          ,LDA_MEM        )
HUC6280FN_("LDA [$nn,x]"          ,LDA_MEM        )
HUC6280FN_("LDA [$nn],y"          ,LDA_MEM        )
HUC6280FN_("LDX #$nn"             ,LDX_IMM        )
HUC6280FN_("LDX $nnnn"            ,LDX_MEM        )
HUC6280FN_("LDX <$nn"             ,LDX_MEM        )
HUC6280FN_("LDX <$nn,y"           ,LDX_MEM        )
HUC6280FN_("LDX $nnnn,y"          ,LDX_MEM        )
HUC6280FN_("LDY #$nn"             ,LDY_IMM        )
HUC6280FN_("LDY $nnnn"            ,LDY_MEM        )
HUC6280FN_("LDY <$nn"             ,LDY_MEM        )
HUC6280FN_("LDY <$nn,x"           ,LDY_MEM        )
HUC6280FN_("LDY $nnnn,x"          ,LDY_MEM        )
HUC6280FN_("LSR a"                ,LSR_ACC        )
HUC6280FN_("LSR $nnnn"            ,LSR_MEM        )
HUC6280FN_("LSR <$nn"             ,LSR_MEM        )
HUC6280FN_("LSR <$nn,x"           ,LSR_MEM        )
HUC6280FN_("LSR $nnnn,x"          ,LSR_MEM        )
HUC6280FN_("NOP"                  ,NOP_IMP        )
HUC6280FN_("ORA #$nn"             ,ORA_IMM        )
HUC6280FN_("ORA $nnnn"            ,ORA_MEM        )
HUC6280FN_("ORA <$nn"             ,ORA_MEM        )
HUC6280FN_("ORA <$nn,x"           ,ORA_MEM        )
HUC6280FN_("ORA [$nn]"            ,ORA_MEM        )
HUC6280FN_("ORA $nnnn,x"          ,ORA_MEM        )
HUC6280FN_("ORA $nnnn,y"          ,ORA_MEM        )
HUC6280FN_("ORA [$nn,x]"          ,ORA_MEM        )
HUC6280FN_("ORA [$nn],y"          ,ORA_MEM        )
HUC6280FN_("PHA"                  ,PHA_IMP        )
HUC6280FN_("PHP"                  ,PHP_IMP        )
HUC6280FN_("PHX"                  ,PHX_IMP        )
HUC6280FN_("PHY"                  ,PHY_IMP        )
HUC6280FN_("PLA"                  ,PLA_IMP        )
HUC6280FN_("PLP"                  ,PLP_IMP        )
HUC6280FN_("PLX"                  ,PLX_IMP        )
HUC6280FN_("PLY"                  ,PLY_IMP        )
HUC6280FN_("RMB0 <$nn"            ,RMB0_MEM       )
HUC6280FN_("RMB1 <$nn"            ,RMB1_MEM       )
HUC6280FN_("RMB2 <$nn"            ,RMB2_MEM       )
HUC6280FN_("RMB3 <$nn"            ,RMB3_MEM       )
HUC6280FN_("RMB4 <$nn"            ,RMB4_MEM       )
HUC6280FN_("RMB5 <$nn"            ,RMB5_MEM       )
HUC6280FN_("RMB6 <$nn"            ,RMB6_MEM       )
HUC6280FN_("RMB7 <$nn"            ,RMB7_MEM       )
HUC6280FN_("ROL a"                ,ROL_ACC        )
HUC6280FN_("ROL $nnnn"            ,ROL_MEM        )
HUC6280FN_("ROL <$nn"             ,ROL_MEM        )
HUC6280FN_("ROL <$nn,x"           ,ROL_MEM        )
HUC6280FN_("ROL $nnnn,x"          ,ROL_MEM        )
HUC6280FN_("ROR a"                ,ROR_ACC        )
HUC6280FN_("ROR $nnnn"            ,ROR_MEM        )
HUC6280FN_("ROR <$nn"             ,ROR_MEM        )
HUC6280FN_("ROR <$nn,x"           ,ROR_MEM        )
HUC6280FN_("ROR $nnnn,x"          ,ROR_MEM        )
HUC6280FN_("RTI"                  ,RTI_IMP        )
HUC6280FN_("RTS"                  ,RTS_IMP        )
HUC6280FN_("SAX"                  ,SAX_IMP        )
HUC6280FN_("SAY"                  ,SAY_IMP        )
HUC6280FN_("SBC #$nn"             ,SBC_IMM        )
HUC6280FN_("SBC $nnnn"            ,SBC_MEM        )
HUC6280FN_("SBC <$nn"             ,SBC_MEM        )
HUC6280FN_("SBC <$nn,x"           ,SBC_MEM        )
HUC6280FN_("SBC [$nn]"            ,SBC_MEM        )
HUC6280FN_("SBC $nnnn,x"          ,SBC_MEM        )
HUC6280FN_("SBC $nnnn,y"          ,SBC_MEM        )
HUC6280FN_("SBC [$nn,x]"          ,SBC_MEM        )
HUC6280FN_("SBC [$nn],y"          ,SBC_MEM        )
HUC6280FN_("SEC"                  ,SEC_IMP        )
HUC6280FN_("SED"                  ,SED_IMP        )
HUC6280FN_("SEI"                  ,SEI_IMP        )
HUC6280FN_("SET"                  ,SET_IMP        )
HUC6280FN_("SMB0 <$nn"            ,SMB0_MEM       )
HUC6280FN_("SMB1 <$nn"            ,SMB1_MEM       )
HUC6280FN_("SMB2 <$nn"            ,SMB2_MEM       )
HUC6280FN_("SMB3 <$nn"            ,SMB3_MEM       )
HUC6280FN_("SMB4 <$nn"            ,SMB4_MEM       )
HUC6280FN_("SMB5 <$nn"            ,SMB5_MEM       )
HUC6280FN_("SMB6 <$nn"            ,SMB6_MEM       )
HUC6280FN_("SMB7 <$nn"            ,SMB7_MEM       )
HUC6280FN_("ST0 #$nn"             ,ST0_IMM        )
HUC6280FN_("ST1 #$nn"             ,ST1_IMM        )
HUC6280FN_("ST2 #$nn"             ,ST2_IMM        )
HUC6280FN_("STA $nnnn"            ,STA_MEM        )
HUC6280FN_("STA <$nn"             ,STA_MEM        )
HUC6280FN_("STA <$nn,x"           ,STA_MEM        )
HUC6280FN_("STA [$nn]"            ,STA_MEM        )
HUC6280FN_("STA $nnnn,x"          ,STA_MEM        )
HUC6280FN_("STA $nnnn,y"          ,STA_MEM        )
HUC6280FN_("STA [$nn,x]"          ,STA_MEM        )
HUC6280FN_("STA [$nn],y"          ,STA_MEM        )
HUC6280FN_("STX $nnnn"            ,STX_MEM        )
HUC6280FN_("STX <$nn"             ,STX_MEM        )
HUC6280FN_("STX <$nn,y"           ,STX_MEM        )
HUC6280FN_("STY $nnnn"            ,STY_MEM        )
HUC6280FN_("STY <$nn"             ,STY_MEM        )
HUC6280FN_("STY <$nn,x"           ,STY_MEM        )
HUC6280FN_("STZ $nnnn"            ,STZ_MEM        )
HUC6280FN_("STZ <$nn"             ,STZ_MEM        )
HUC6280FN_("STZ <$nn,x"           ,STZ_MEM        )
HUC6280FN_("STZ $nnnn,x"          ,STZ_MEM        )
HUC6280FN_("SXY"                  ,SXY_IMP        )
HUC6280FN_("TAI $nnnn,$nnnn,$nnnn",TAI_MEM_MEM_IMM)
HUC6280FN_("TAM #$nn"             ,TAM_IMM        )
HUC6280FN_("TAX"                  ,TAX_IMP        )
HUC6280FN_("TAY"                  ,TAY_IMP        )
HUC6280FN_("TDD $nnnn,$nnnn,$nnnn",TDD_MEM_MEM_IMM)
HUC6280FN_("TIA $nnnn,$nnnn,$nnnn",TIA_MEM_MEM_IMM)
HUC6280FN_("TII $nnnn,$nnnn,$nnnn",TII_MEM_MEM_IMM)
HUC6280FN_("TIN $nnnn,$nnnn,$nnnn",TIN_MEM_MEM_IMM)
HUC6280FN_("TMA #$nn"             ,TMA_IMM        )
HUC6280FN_("TRB $nnnn"            ,TRB_MEM        )
HUC6280FN_("TRB <$nn"             ,TRB_MEM        )
HUC6280FN_("TSB $nnnn"            ,TSB_MEM        )
HUC6280FN_("TSB <$nn"             ,TSB_MEM        )
HUC6280FN_("TST #$nn,<$nn"        ,TST_IMM_MEM    )
HUC6280FN_("TST #$nn,<$nn,x"      ,TST_IMM_MEM    )
HUC6280FN_("TST #$nn,$nnnn"       ,TST_IMM_MEM    )
HUC6280FN_("TST #$nn,$nnnn,x"     ,TST_IMM_MEM    )
HUC6280FN_("TSX"                  ,TSX_IMP        )
HUC6280FN_("TXA"                  ,TXA_IMP        )
HUC6280FN_("TXS"                  ,TXS_IMP        )
HUC6280FN_("TYA"                  ,TYA_IMP        )
